net.sf.jasperreports.web.util

## Class RequirejsConfigCreator

- java.lang.Object
- - net.sf.jasperreports.web.util.RequirejsConfigCreator

-     public class RequirejsConfigCreator
      extends java.lang.Object

  Version:
    $Id: RequirejsConfigCreator.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequirejsConfigCreator(WebRequestContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequirejsConfigCreator` | `getInstance(WebRequestContext context)`
    `java.lang.String` | `getRequirejsConfig()`
    `protected void` | `runContributors(JasperReportsContext jrContext, java.lang.String contextPath, com.fasterxml.jackson.databind.node.ObjectNode configRoot)`
    `protected void` | `setModuleMappings(JasperReportsContext jrContext, java.lang.String contextPath, com.fasterxml.jackson.databind.node.ObjectNode configPaths)`
    `protected java.lang.String` | `toConfigScript(com.fasterxml.jackson.databind.node.ObjectNode configRoot)`
    `protected java.lang.String` | `toConfigString(com.fasterxml.jackson.databind.node.ObjectNode configRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequirejsConfigCreator

          protected RequirejsConfigCreator(WebRequestContext context)

  - ### Method Detail

    - #### getInstance

          public static RequirejsConfigCreator getInstance(WebRequestContext context)

    - #### getRequirejsConfig

          public java.lang.String getRequirejsConfig()

    - #### setModuleMappings

          protected void setModuleMappings(JasperReportsContext jrContext,
                               java.lang.String contextPath,
                               com.fasterxml.jackson.databind.node.ObjectNode configPaths)

    - #### runContributors

          protected void runContributors(JasperReportsContext jrContext,
                             java.lang.String contextPath,
                             com.fasterxml.jackson.databind.node.ObjectNode configRoot)

    - #### toConfigScript

          protected java.lang.String toConfigScript(com.fasterxml.jackson.databind.node.ObjectNode configRoot)

    - #### toConfigString

          protected java.lang.String toConfigString(com.fasterxml.jackson.databind.node.ObjectNode configRoot)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com